MACRO BOOST(3)

NAME
BOOST_PROTO_EXTENDS_FUNCTION - For adding to an expression extension class a set of overloaded function call operators that build expression templates.

SYNOPSIS

// In header: <boost/proto/extends.hpp>
BOOST_PROTO_EXTENDS_FUNCTION()

DESCRIPTION

Use BOOST_PROTO_EXTENDS_FUNCTION() after BOOST_PROTO_BASIC_EXTENDS() to give an expression extension class a set of overloaded function call operators that build expression templates. In addition, BOOST_PROTO_EXTENDS_FUNCTION() adds a nested result<> class template that is a metafunction for calculating the return type of the overloaded function call operators.

See also:

    &#8226; BOOST_PROTO_BASIC_EXTENDS().RE

        &#8226; BOOST_PROTO_EXTENDS_ASSIGN().RE

            &#8226; BOOST_PROTO_EXTENDS_SUBSCRIPT().RE

                &#8226; BOOST_PROTO_EXTENDS().RE